com.dlsc.flexgantt.model.paging

## Class PagingEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.model.paging.PagingEvent

- All Implemented Interfaces:
    Serializable

      public class PagingEvent
      extends EventObject

  An event object that is being sent to instances of `IPagingModelListener` whenever a change has occured in the `IPagingModel` instance that they observe.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PagingEvent.ID` An enumerator with event IDs that can be used by model listeners to distinguish between different types of events that have occured inside a paging model.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagingEvent(IPagingModel model, PagingEvent.ID id, Page page)` Constructs a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagingEvent.ID` | `getId()` Returns the ID of the event that can be used to distinguish different types of events that can take place inside a paging model.
    `IPagingModel` | `getModel()` Returns the paging model that was the source of the change being described by the event.
    `Page` | `getPage()` Returns the page that was added, removed or changed.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagingEvent

          public PagingEvent(IPagingModel model,
                             PagingEvent.ID id,
                             Page page)

      Constructs a new event.
      Parameters:
        `model` - the source of the event, the model that was changed
        `id` - the event ID used for distinguishing different types of events
        `page` - the page that was added, removed, or changed
      Since:
        1.0

  - ### Method Detail

    - #### getModel

          public IPagingModel getModel()

      Returns the paging model that was the source of the change being described by the event.
      Returns:
        the source paging model
      Since:
        1.0

    - #### getId

          public PagingEvent.ID getId()

      Returns the ID of the event that can be used to distinguish different types of events that can take place inside a paging model.
      Returns:
        the event ID
      Since:
        1.0

    - #### getPage

          public Page getPage()

      Returns the page that was added, removed or changed.
      Returns:
        the modified page
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.